[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: xterm won't start on AMD K6 with stock 2.6.22-1-486 kernel

On 2007-08-30 23:46:39 -0700, Paul Scott wrote:
> Vincent Lefevre wrote:
>> I have no problems with this recent change on my x86 machine.
>> Also, if I understand correctly, most programs no longer use
>> "legacy" pty's. And ttyrec, which still uses them, fails with
>> the new kernel. The fact that xterm still works on my machine
>> suggests that it should not be affected by this change on your
>> machine either. I'd say that the cause is something else,
>> perhaps related to the loaded modules on your machine.
> I agree!  Do you have any suggestions as to how to diagnose this?

Compare the dmesg output corresponding to the old kernel (which works)
and the new one. You can also compare the lsmod output.

Also perhaps "strace xterm" can give you interesting information...

Vincent Lefèvre <vincent@vinc17.org> - Web: <http://www.vinc17.org/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.org/blog/>
Work: CR INRIA - computer arithmetic / Arenaire project (LIP, ENS-Lyon)

Reply to: